package com.ruoyi.hywz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.hywz.entity.AdsMatHyxtStampTaxContractInvoiceD;
import com.ruoyi.hywz.mapper.AdsMatHyxtStampTaxContractInvoiceDMapper;
import com.ruoyi.hywz.service.IAdsMatHyxtStampTaxContractInvoiceDService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * <p>
 * 合同/发票预警信息表 服务实现类
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-09-12 18:01:36
 */
@Service
public class AdsMatHyxtStampTaxContractInvoiceDServiceImpl extends ServiceImpl<AdsMatHyxtStampTaxContractInvoiceDMapper, AdsMatHyxtStampTaxContractInvoiceD> implements IAdsMatHyxtStampTaxContractInvoiceDService {

    @Resource
    private AdsMatHyxtStampTaxContractInvoiceDMapper adsMatHyxtStampTaxContractInvoiceDMapper;

    @Override
    public int clearTable() {
        return adsMatHyxtStampTaxContractInvoiceDMapper.clearTable();
    }

    @Override
    public List<AdsMatHyxtStampTaxContractInvoiceD> queryWarningListNew(AdsMatHyxtStampTaxContractInvoiceD param) {
        return adsMatHyxtStampTaxContractInvoiceDMapper.queryWarningListNew(param);
    }

    @Override
    public void deleteErrorData() {
        adsMatHyxtStampTaxContractInvoiceDMapper.deleteErrorData();
    }

    @Override
    public List<String> findContractIdByStatu() {
        return adsMatHyxtStampTaxContractInvoiceDMapper.findContractIdByStatu();
    }

    @Override
    public List<String> findInvoiceIdByStatu() {
        return adsMatHyxtStampTaxContractInvoiceDMapper.findInvoiceIdByStatu();
    }
}
